# $Revision: 1.25 $, $Date: 2012/06/21 10:11:29 $
%include	/usr/lib/rpm/macros.perl
Summary:	Library to provide key AppArmor symbols
Summary(pl.UTF-8):	Biblioteka udostępniająca kluczowe symbole AppArmor
Name:		libapparmor
Version:	2.8.0
Release:	1
Epoch:		1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://launchpad.net/apparmor/2.8/%{version}/+download/apparmor-%{version}.tar.gz
# Source0-md5:	eaf90c52992df3d205a753b2933595fe
URL:		http://apparmor.wiki.kernel.org/
BuildRequires:	autoconf
BuildRequires:	automake >= 1.4
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libtool
BuildRequires:	perl-devel
BuildRequires:	perl-tools-pod
BuildRequires:	python-devel
BuildRequires:	rpmbuild(macros) >= 1.272
BuildRequires:	rpm-perlprov
BuildRequires:	rpm-pythonprov
BuildRequires:	ruby-devel
BuildRequires:	swig-perl
BuildRequires:	swig-python
BuildRequires:	swig-ruby
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides the libapparmor library, which contains the
change_hat(2) symbol, used for sub-process confinement by AppArmor.
Applications that wish to make use of change_hat(2) need to link
against this library. This package is part of a suite of tools that
used to be named SubDomain.

%description -l pl.UTF-8
Ten pakiet udostępnia bibliotekę libapparmor, zawierającą symbol
change_hat(2), używany do więzienia podprocesów przez AppArmor.
Aplikacje chcące używać change_hat(2) muszą być linkowane z tą
biblioteką. Ten pakiet jest częścią zestawu narzędzi nazywanego
SubDomain.

%package devel
Summary:	Header files for libapparmor library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libapparmor
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
This is the package containing the header files for libapparmor
library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki libapparmor.

%package static
Summary:	Static libapparmor library
Summary(pl.UTF-8):	Statyczna biblioteka libapparmor
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libapparmor library.

%description static -l pl.UTF-8
Statyczna biblioteka libapparmor.

%package -n perl-apparmor
Summary:	AppArmor Perl bindings
Summary(pl.UTF-8):	Dowiązania do AppArmor dla Perla
Summary(pt_BR.UTF-8):	Módulos Perl para acessar os recursos do AppArmor
Group:		Development/Languages/Perl
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n perl-apparmor
AppArmor Perl bindings.

%description -n perl-apparmor -l pl.UTF-8
Dowiązania do AppArmor dla Perla.

%description -n perl-apparmor -l pt_BR.UTF-8
Módulos Perl para acessar os recursos do AppArmor.

%package -n python-apparmor
Summary:	AppArmor Python bindings
Summary(pl.UTF-8):	Dowiązania do AppArmor dla Pythona
Summary(pt_BR.UTF-8):	Módulos Python para acessar os recursos do AppArmor
Group:		Development/Languages/Python
%pyrequires_eq  python
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description -n python-apparmor
AppArmor Python bindings.

%description -n python-apparmor -l pl.UTF-8
Dowiązania do AppArmor dla Pythona.

%description -n python-apparmor -l pt_BR.UTF-8
Módulos Python para acessar os recursos do AppArmor.

%package -n ruby-apparmor
Summary:	AppArmor Ruby bindings
Summary(pl.UTF-8):	Dowiązania do AppArmor dla języka Ruby
Group:		Development/Languages
Requires:	%{name} = %{epoch}:%{version}-%{release}
%{?ruby_mod_ver_requires_eq}

%description -n ruby-apparmor
AppArmor Ruby bindings.

%description -n ruby-apparmor -l pl.UTF-8
Dowiązania do AppArmor dla języka Ruby.

%prep
%setup -q -n apparmor-%{version}

%build
cd libraries/libapparmor
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

%configure \
	--with-python \
	--with-perl \
	--with-ruby

%{__make} -j1 \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C libraries/libapparmor install \
	DESTDIR=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libapparmor.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libapparmor.so.1
%attr(755,root,root) %{_libdir}/libimmunix.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libimmunix.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libapparmor.so
%attr(755,root,root) %{_libdir}/libimmunix.so
%{_libdir}/libapparmor.la
%{_libdir}/libimmunix.la
%{_includedir}/aalogparse
%{_includedir}/sys/apparmor.h
%{_mandir}/man2/aa_change_hat.2*
%{_mandir}/man2/aa_change_profile.2*
%{_mandir}/man2/aa_find_mountpoint.2*
%{_mandir}/man2/aa_getcon.2*

%files static
%defattr(644,root,root,755)
%{_libdir}/libapparmor.a
%{_libdir}/libimmunix.a

%files -n perl-apparmor
%defattr(644,root,root,755)
%{perl_vendorarch}/LibAppArmor.pm
%dir %{perl_vendorarch}/auto/LibAppArmor
%{perl_vendorarch}/auto/LibAppArmor/LibAppArmor.bs
%attr(755,root,root) %{perl_vendorarch}/auto/LibAppArmor/LibAppArmor.so

%files -n python-apparmor
%defattr(644,root,root,755)
%dir %{py_sitedir}/LibAppArmor
%attr(755,root,root) %{py_sitedir}/LibAppArmor/_LibAppArmor.so
%{py_sitedir}/LibAppArmor/__init__.py[co]
%{py_sitedir}/LibAppArmor-*.egg-info

%files -n ruby-apparmor
%defattr(644,root,root,755)
%attr(755,root,root) %{ruby_sitearchdir}/LibAppArmor.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libapparmor.spec,v $
Revision 1.25  2012/06/21 10:11:29  arekm
- up to 2.8.0

Revision 1.24  2012/04/05 20:38:02  arekm
- up to 2.7.2

Revision 1.23  2011/11/18 13:13:45  lisu
- rel 2

Revision 1.22  2011/11/18 13:06:51  lisu
- build with -fPIC (try to fix build on x86_64)

Revision 1.21  2011/05/28 20:29:59  qboosh
- more verbose files
- build ruby binding

Revision 1.20  2011/04/01 07:27:12  arekm
- up to 2.6.1

Revision 1.19  2011/03/13 15:02:03  arekm
- up to 2.6.0

Revision 1.18  2010/07/09 11:18:00  arekm
- release 5

Revision 1.17  2010/06/06 13:34:58  arekm
- release 4

Revision 1.16  2010/05/13 15:29:07  sparky
- BR: swig-perl, swig-python

Revision 1.15  2010/03/17 19:39:19  arekm
- rel 3

Revision 1.14  2010/03/17 19:29:05  arekm
- rel 2; perl and subversion bindings

Revision 1.13  2010/03/16 21:33:56  arekm
- up to 2.5

Revision 1.12  2008/10/30 10:36:53  arekm
- add BR: bison and flex

Revision 1.11  2008/10/30 10:24:39  arekm
BR: perl-tools-pod

Revision 1.10  2008/06/09 21:46:27  arekm
- up to 2.3.1249

Revision 1.9  2008-05-29 21:21:09  arekm
- up to 2.2.1001

Revision 1.8  2008-01-27 22:15:41  dzeus
- rel. 1

Revision 1.7  2007-04-14 06:23:15  qboosh
- epoch in internal deps

Revision 1.6  2007/04/14 00:31:32  zbyniu
- up to 2.0.1-305; epoch 1

Revision 1.5  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.4  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.3  2006/12/01 00:29:51  zbyniu
- up to september snapshot

Revision 1.2  2006/04/22 14:44:03  qboosh
- pl

Revision 1.1  2006/04/20 23:23:18  zbyniu
- new, based on spec from package
